ssh server installed:
  pkg.installed:
    - name: openssh-server

sshd config file is present:
  file.managed:
    - name: /etc/ssh/sshd_config
    - source: salt://basics/ssh/sshd_config.jinja
    - template: jinja

restart sshd service on config file change:
  module.run:
    - service.restart:
      - name: sshd
    - onchanges:
      - file: /etc/ssh/sshd_config
